Subject: Re: RFC 2460 issue

From: Fred Templin <[email-masked]>
Date: Wed, 29 Oct 2003 12:28:05 -0800

Bound, Jim wrote:

>I believe same as Savela here.  Pretty obvious to me.
>/jim
>

Yep - same here.

Fred
[email-masked]

>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]] On 
>>Behalf Of Markku Savela
>>Sent: Tuesday, October 28, 2003 3:21 PM
>>To: [email-masked]
>>Cc: [email-masked]; [email-masked]; 
>>[email-masked]; [email-masked]
>>Subject: Re: RFC 2460 issue
>>
>>
>>
>>    
>>
>>>Off the top of my head I know that RFC3493 needs to be 
>>>      
>>>
>>updated since 
>>    
>>
>>>the IPV6_UNICAST_HOPS socket option now accepts 0 as a valid hop 
>>>count. I really do not understand what a hop count of 0 implies and 
>>>why we should bother updating the RFCs.
>>>      
>>>
>>Heh, yes. I too wondered about what I should do if 
>>application sets TTL = 0. There are two choices
>>
>> a) Packets go to /dev/null (perhaps some obscure testing feature?)
>>
>> b) Just let packets with TTL=0 go out.
>>
>>I chose (b), because
>>
>> - TTL is naturally checked only on fowarding, not when sending
>>   own packets out. Thus, any TTL just gets accepted and sent.
>>
>>If packet with TTL=0 is for this node, it is accepted (again, 
>>because TTL test is only for forwarding).
>>
>>Forwarding decrements TTL and if result is 0 or < 0, packet 
>>dropped (with appropriate ICMP if needed).
>>
>>I'm happy with above semantics. I don't see any need to worry 
>>about it too much.
>>
>>
>>--------------------------------------------------------------------
>>IETF IPv6 working group mailing list
>>[email-masked]
>>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>>--------------------------------------------------------------------
>>
>>    
>>
>
>--------------------------------------------------------------------
>IETF IPv6 working group mailing list
>[email-masked]
>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>--------------------------------------------------------------------
>  
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------